<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'moblyze',

    /*
     * Package.
     */
    'package'   => 'checklist',

    /*
     * Modules.
     */
    'modules'   => ['checklist', 'asset', 'plan'],

    'checklist'       => [
        'model' => [
            'model'                 => \Moblyze\Checklist\Models\Checklist::class,
            'table'                 => 'checklists',
            'presenter'             => \Moblyze\Checklist\Repositories\Presenter\ChecklistPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'type',  'slug',  'user_id',  'user_type',  'updated_at',  'created_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'checklist/checklist',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Checklist',
            'module'    => 'Checklist',
        ],

    ],
    'asset'       => [
        'model' => [
            'model'                 => \Moblyze\Checklist\Models\Asset::class,
            'table'                 => 'assets',
            'presenter'             => \Moblyze\Checklist\Repositories\Presenter\AssetPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'asset_id',  'checklist_master_id',  'min_quantity',  'mandatory',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'checklist/asset',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Checklist',
            'module'    => 'Asset',
        ],

    ],
    'plan'       => [
        'model' => [
            'model'                 => \Moblyze\Checklist\Models\Plan::class,
            'table'                 => 'plans',
            'presenter'             => \Moblyze\Checklist\Repositories\Presenter\PlanPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'asset_checklist_id',  'float_plan_id',  'quantity',  'check',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'checklist/plan',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Checklist',
            'module'    => 'Plan',
        ],

    ],
];
