<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assets
         */
        Schema::create('assets', function ($table) {
            $table->increments('id');
            $table->integer('asset_id')->nullable();
            $table->integer('checklist_master_id')->nullable();
            $table->text('min_quantity')->nullable();
            $table->enum('mandatory', ['Yes','No'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assets');
    }
}
