# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/moblyze/checklist/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/moblyze/checklist/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Moblyze\\Checklist\\": "packages/moblyze/checklist/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Moblyze\Checklist\Providers\ChecklistServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Checklist'  => Moblyze\Checklist\Facades\Checklist::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Moblyze\\ChecklistTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Checklist\Providers\ChecklistServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Checklist\Providers\ChecklistServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Checklist\Providers\ChecklistServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/checklist/{modulename}

**User**

    http://path-to-route-folder/user/checklist/{modulename}

**Public**

    http://path-to-route-folder/checklists


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/checklist/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/checklist/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/checklist/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/checklist/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/checklist/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/checklist/{modulename}/{slug}
    METHOD: GET