Lavalite package that provides checklist management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/checklist`.

    "moblyze/checklist": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\Checklist\Providers\ChecklistServiceProvider::class,

And also add it to alias

    'Checklist'  => Moblyze\Checklist\Facades\Checklist::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\ChecklistTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Checklist\Providers\ChecklistServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Checklist\Providers\ChecklistServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Checklist\Providers\ChecklistServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/checklist/{modulename}

**User**

    http://path-to-route-folder/user/checklist/{modulename}

**Public**

    http://path-to-route-folder/checklists


### API endpoints

**List**

    http://path-to-route-folder/api/user/checklist/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/checklist/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/checklist/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/checklist/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/checklist/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/checklist/{modulename}/{slug}
    METHOD: GET