<?php

namespace Moblyze\Checklist\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Checklist policy
        'Moblyze\Checklist\Models\Checklist' => \Moblyze\Checklist\Policies\ChecklistPolicy::class,// Bind Asset policy
        'Moblyze\Checklist\Models\Asset' => \Moblyze\Checklist\Policies\AssetPolicy::class,// Bind Plan policy
        'Moblyze\Checklist\Models\Plan' => \Moblyze\Checklist\Policies\PlanPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
