<?php

namespace Moblyze\Checklist\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AssetTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Checklist\Models\Asset $asset)
    {
        return [
            'id'                => $asset->getRouteKey(),
            'key'               => [
                'public'    => $asset->getPublicKey(),
                'route'     => $asset->getRouteKey(),
            ], 
            'asset_id'          => $asset->asset_id,
            'checklist_master_id' => $asset->checklist_master_id,
            'min_quantity'      => $asset->min_quantity,
            'mandatory'         => $asset->mandatory,
            'url'               => [
                'public'    => trans_url('checklist/'.$asset->getPublicKey()),
                'user'      => guard_url('checklist/asset/'.$asset->getRouteKey()),
            ], 
            'status'            => trans('app.'.$asset->status),
            'created_at'        => format_date($asset->created_at),
            'updated_at'        => format_date($asset->updated_at),
        ];
    }
}