<?php

namespace Moblyze\Checklist\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ChecklistTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Checklist\Models\Checklist $checklist)
    {
        return [
            'id'                => $checklist->getRouteKey(),
            'key'               => [
                'public'    => $checklist->getPublicKey(),
                'route'     => $checklist->getRouteKey(),
            ], 
            'name'              => $checklist->name,
            'type'              => $checklist->type,
            'slug'              => $checklist->slug,
            'user_id'           => $checklist->user_id,
            'user_type'         => $checklist->user_type,
            'deleted_at'        => $checklist->deleted_at,
            'url'               => [
                'public'    => trans_url('checklist/'.$checklist->getPublicKey()),
                'user'      => guard_url('checklist/checklist/'.$checklist->getRouteKey()),
            ], 
            'status'            => trans('app.'.$checklist->status),
            'created_at'        => format_date($checklist->created_at),
            'updated_at'        => format_date($checklist->updated_at),
        ];
    }
}