<?php

namespace Moblyze\Checklist\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlanTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Checklist\Models\Plan $plan)
    {
        return [
            'id'                => $plan->getRouteKey(),
            'key'               => [
                'public'    => $plan->getPublicKey(),
                'route'     => $plan->getRouteKey(),
            ], 
            'asset_checklist_id' => $plan->asset_checklist_id,
            'float_plan_id'     => $plan->float_plan_id,
            'quantity'          => $plan->quantity,
            'check'             => $plan->check,
            'url'               => [
                'public'    => trans_url('checklist/'.$plan->getPublicKey()),
                'user'      => guard_url('checklist/plan/'.$plan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$plan->status),
            'created_at'        => format_date($plan->created_at),
            'updated_at'        => format_date($plan->updated_at),
        ];
    }
}